%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Summary: IO-Multiplex module for perl
Name: perl-IO-Multiplex
Version: 1.10
Release: 1
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/IO-Multiplex/

Source0: http://www.cpan.org/authors/id/B/BB/BBB/IO-Multiplex-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires: perl >= 5.8.8

%description
IO::Multiplex is designed to take the effort out of managing
multiple file handles.  It is essentially a really fancy front end to
the select system call.  In addition to maintaining the select
loop, it buffers all input and output to/from the file handles.  It
can also accept incoming connections on one or more listen sockets.


%prep
%setup -n IO-Multiplex-%{version}


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changes README
%dir %{perl_vendorlib}/IO/
%{perl_vendorlib}/IO/*
%{_mandir}/man?/*


%changelog
* Tue Oct 14 2008 Michael Perzl <michael@perzl.org> - 1.10-1
- first version for AIX V5.1 and higher
